### Type parameters

- #### REQ

- #### RESP

### Hierarchy

- Request

## Index

### Constructors

- constructor

### Methods

- getCallOptions
- getMetadata
- getMethodDescriptor
- getRequestMessage

## Constructors

### constructor

- new Request<REQ, RESP>(): Request <REQ, RESP>

- #### Type parameters

  - #### REQ

  - #### RESP

  #### Returns Request <REQ, RESP>

## Methods

### getCallOptions

- getCallOptions(): CallOptions

- - Defined in node_modules/grpc-web/index.d.ts:96

  #### Returns CallOptions

### getMetadata

- getMetadata(): Metadata

- - Defined in node_modules/grpc-web/index.d.ts:95

  #### Returns Metadata

### getMethodDescriptor

- getMethodDescriptor(): MethodDescriptor <REQ, RESP>

- - Defined in node_modules/grpc-web/index.d.ts:94

  #### Returns MethodDescriptor <REQ, RESP>

### getRequestMessage

- getRequestMessage(): REQ

- - Defined in node_modules/grpc-web/index.d.ts:93

  #### Returns REQ

Generated using TypeDoc